Subject: Re: [AVT] I-D ACTION:draft-ietf-avt-rtp-hdrext-00.txt

From: Dave Singer <[email-masked]>
Date: Mon, 30 Jan 2006 15:30:37 -0800

Colin

I re-did these in XML2RFC, and I hope dealt with your issues.  If 
you're happy, I'll re-submit to the secretariat so that they can be 
discussed (and maybe finished).

Thanks!

At 15:41  +0100 3/09/05, Colin Perkins wrote:
>On 16 Aug 2005, at 20:50, [email-masked] wrote:
>>A New Internet-Draft is available from the on-line Internet-Drafts 
>>directories.
>>This draft is a work item of the Audio/Video Transport Working 
>>Group of the IETF.
>>
>>     Title        : A general mechanism for RTP Header Extensions
>>     Author(s)    : D. Singer
>>     Filename    : draft-ietf-avt-rtp-hdrext-00.txt
>>     Pages        : 8
>>     Date        : 2005-8-16
>>
>>    This document provides a general mechanism to use the header-
>>    extension feature of RTP (the Real Time Protocol).  It provides the
>>    option to use a small number of small extensions in each RTP packet,
>>    where the universe of possible extensions is large and unregistered.
>>    The actual extensions in use in a session are signaled in the setup
>>    information for that session.
>>
>>A URL for this Internet-Draft is:
>>http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-hdrext-00.txt
>
>I have two comments on this:
>
>  - Needs ABNF for the "a=extmap:" identifier, plus the other parts of the
>    registration template for SDP attributes.
>
>  - Does the date in "a=extmap:" need to go first, to avoid clashes with
>    numeric domain names?
>
>In addition, the idnits tool finds a number of problems:
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>   * The document seems to lack separate sections for
>     Informative/Normative References.
>     Checking conformance with RFC 3978/3979 boilerplate...
>   * The document claims conformance with section 10 of RFC 2026, but
>     uses some RFC 3978/3979 boilerplate.  As RFC 3978/3979 replaces section
>     10 of RFC 2026, you should not claim conformance with it if you have
>     changed to using RFC 3978/3979 boilerplate.
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>   * The document seems to lack a 1id_guidelines paragraph about
>     Internet-Drafts being working documents -- however, there's a paragraph
>     with a matching beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about 6
>     months document validity -- however, there's a paragraph with a matching
>     beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about the
>     list of current Internet-Drafts -- however, there's a paragraph with a
>     matching beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about the
>     list of Shadow Directories.
>   - It seems as if not all pages are separated by form feeds - found 0
>     form feeds but 8 pages
>
>Colin

At 13:03  +0100 2/09/05, Colin Perkins wrote:
>On 16 Aug 2005, at 20:50, [email-masked] wrote:
>>A New Internet-Draft is available from the on-line Internet-Drafts 
>>directories.
>>This draft is a work item of the Audio/Video Transport Working 
>>Group of the IETF.
>>
>>     Title        : Associating SMPTE time-codes with RTP streams
>>     Author(s)    : D. Singer
>>     Filename    : draft-ietf-avt-smpte-rtp-00.txt
>>     Pages        : 8
>>     Date        : 2005-8-16
>>
>>    This document describes a mechanism for associating SMPTE time-codes
>>    with media streams, in a way that is independent of the RTP payload
>>    format of the media stream itself.
>>
>>A URL for this Internet-Draft is:
>>http://www.ietf.org/internet-drafts/draft-ietf-avt-smpte-rtp-00.txt
>
>This seems to be a good draft. I have a few minor comments:
>
>  - It looks like SDP signalling will be needed. This should be defined in
>    the draft, and referenced from IANA considerations.
>
>  - The draft talks about RTCP APP packets. It would be better to define a
>    new RTCP packet type; the overhead is lower and we have plenty of spare
>    RTCP packet type numbers.
>
>  - Can the IETF define an org.smpte RTP header extension? It would seem
>    that we'd need SMPTE to do that, with the IETF only being able to
>    define extensions in org.ietf (or possible arpa.*)?
>
>The idnits tools gives the following warnings:
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>   * The document seems to lack an Abstract section.
>   * The document seems to lack separate sections for
>     Informative/Normative References.
>     Checking conformance with RFC 3978/3979 boilerplate...
>   * The document claims conformance with section 10 of RFC 2026, but
>     uses some RFC 3978/3979 boilerplate.  As RFC 3978/3979 replaces section
>     10 of RFC 2026, you should not claim conformance with it if you have
>     changed to using RFC 3978/3979 boilerplate.
>   * The document seems to lack an RFC 3978 Section 5.5 Disclaimer --
>     however, there's a paragraph with a matching beginning. Boilerplate
>     error?
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>   * The document seems to lack a 1id_guidelines paragraph about
>     Internet-Drafts being working documents -- however, there's a paragraph
>     with a matching beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about 6
>     months document validity -- however, there's a paragraph with a matching
>     beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about the
>     list of current Internet-Drafts -- however, there's a paragraph with a
>     matching beginning. Boilerplate error?
>   * The document seems to lack a 1id_guidelines paragraph about the
>     list of Shadow Directories.
>   - It seems as if not all pages are separated by form feeds - found 0
>     form feeds but 8 pages
>
>Please can you fix these, so the draft has the current boilerplate.
>
>Colin

-- 
David Singer
Apple Computer/QuickTime

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt